package com.steerinfo.ems.emsprodplanround.mapper;

import com.steerinfo.ems.emsprodplanround.model.EmsProdplanRound;
import com.steerinfo.framework.mapper.IBaseMapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface EmsProdplanRoundMapper extends IBaseMapper<EmsProdplanRound, String> {

    EmsProdplanRound getbeyondWeight(HashMap<String,Object> parmas);

    EmsProdplanRound getSumPlanWeight(List ids);
    //获取编号
    String getMaxidAsGm(EmsProdplanRound emsProdplanRound);
    //获取编号
    String getMaxidAsSC(EmsProdplanRound emsProdplanRound);
    //获取宽度*长度
    List<EmsProdplanRound> getbasespecbillet();
    //获取断面
    List<EmsProdplanRound> getiateralArea();
    //获取断面
    List<EmsProdplanRound> getdimension();
    //获取表面质量标准
    List<EmsProdplanRound> getsurfaceStandard();
    //化学成份执行标准
    List<EmsProdplanRound> getchemicalStandard();
    //审核页面数据获取
    List<Map<String, Object>> getAuditDate(HashMap<String, Object> parmas);
    //审核
    Integer updateAuditState(EmsProdplanRound emsProdplanRound);
    //
    List<EmsProdplanRound> getRounds(EmsProdplanRound emsProdplanRound);
}